<?php

namespace App\Service;

use App\Entity\Commentaire;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Component\Security\Core\Security;

/**
 * Class CommentaireManager
 */
class CommentaireManager {
    private $em;
    private $uc;
    private $user;

    public function __construct(EntityManagerInterface $em, UniciteCollections $uc, Security $security)
    {
        $this->em = $em;
        $this->uc = $uc;
        $this->user = $security->getUser();
    }

    public function addCommentaire (Commentaire $commentaire, \App\Entity\Film $film)
    {
        $commentaire->setUser($this->user);
        $commentaire->setFilm(($film));
        $film->addCommentaire($commentaire);
        $this->em->persist($commentaire);
        $this->em->flush();
    }

    public function editCommentaire(Commentaire $commentaire)
    {
        $this->em->flush();
    }

    public function delCommentaire(Commentaire $commentaire)
    {
        $commentaire->getFilm()->removeCommentaire($commentaire);
        $this->em->remove($commentaire);
        $this->em->flush();
    }

    private function isEmpty (Commentaire $commentaire)
    {
        return (
            is_null($commentaire->getContenu()) &&
            is_null($commentaire->getNote()));
    }

    public function delEditAdd(Commentaire $commentaire, \App\Entity\Film $film)
    {
        if (!$this->isEmpty($commentaire))
        {
            if (!is_null($commentaire->getId()))
            {
                $this->editCommentaire($commentaire);
                return;
            } else {
                $this->addCommentaire($commentaire, $film);
                return;
            }
        } else {
            if (!is_null($commentaire->getId()))
            {
                $this->delCommentaire($commentaire);
                return;
            }
        }

        /*if ($this->isEmpty($commentaire)) {
            if (!is_null($commentaire->getId())) {
                $this->delCommentaire($commentaire);
                return;
            } else {
                $this->em->flush();
                return;
            }
        } else {
            $cm->addCommentaire($commentaireUser, $film);
            return;
        }*/
    }
}