<?php

namespace App\Service;

use App\Entity\Genre;
use App\Entity\Film;
use Doctrine\ORM\EntityManagerInterface;

/**
 * Class GenreManager
 */
class GenreManager {
    private $em;

    public function __construct(EntityManagerInterface $em)
    {
        $this->em = $em;
    }

    public function add(Genre $genre)
    {
        $this->em->persist($genre);
        $this->em->flush();
    }

    public function edit(Genre $genre)
    {
        $this->em->flush();
    }

    public function del(Genre $genre)
    {
        $films = $this->em->getRepository(Film::class)->findFilmWithGenre(array($genre->getName()));
        foreach ($films as $film)
        {
            $film->removeGenre($genre);
        }
        $this->em->remove($genre);
        $this->em->flush();
    }
}