<?php

namespace App\Service;

use App\Entity\Realisateur;
use Doctrine\ORM\EntityManagerInterface;

/**
 * Class RealisateurManager
 */
class RealisateurManager {
    private $em;


    public function __construct(EntityManagerInterface $em)
    {
        $this->em = $em;
    }

    public function add(Realisateur $realisateur)
    {
        $this->em->persist($realisateur);
        $this->em->flush();
    }

    public function edit(Realisateur $realisateur)
    {
        $this->em->flush();
    }

    public function del(Realisateur $realisateur)
    {
        foreach ($realisateur->getFilms() as $film)
        {
            $film->removeRealisateur($realisateur);
        }
        $this->em->remove($realisateur);
        $this->em->flush();
    }
}